Name:			python-flask
Version:		0.10.1
Release:		1%{?dist}
Summary:		A microframework for Python

Group:			Development/Libraries
License:		BSD
URL:			http://flask.pocoo.org/
Source0:		Flask-%{version}.tar.gz

BuildArch:		noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

Requires:		python3

%description
Flask is a micro web application framework written in Python and based on the 
Werkzeug toolkit and Jinja2 template engine.


%prep
%setup -n Flask-%{version}


%build
python3 setup.py build


%install
python3 setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/ LICENSE
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/flask



%changelog
* Tue Mar 31 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.10.1-1.ru6
- Initial build for CentOS 6 for Rutgers University
